Kerbal Space Program - Bug #25666

The ability to "Merge" two crafts in the VAB/SPH no longer works in 1.10 in most situations.
07/01/2020 09:57 PM - Anth12

Status: Resolved Start date: 07/02/2020
Severity: Low % Done: 100%
Assignee: just_jim
Category: Editor
Target version: 1.10.1
Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Using the merge button in the load screen in the Editor does nothing.

How to Test:

1. Dont use a new save to test this bug.

2. Use an existing save with existing crafts.

3. In the editor load one craft

4. Bring up the load screen and try to merge the current craft with another.

Additional Information:
Reason for not using a new save was that | was able to get merge to work with a new save with new parts.

Thanks goes to Thomas199920 on EJ_SA's discord for finding this

Recommend this bug be higher in priority.

History

#1 - 07/02/2020 04:29 PM - akslfak
- Expansion Breaking Ground, Making History added

| also have seen this bug, vanilla KSP, no mods. Recommending a higher priority as it can be a game-breaking issue, especially when making larger
craft. | can provide my game save if necessary, I'm just not sure what files are required to debug.

#2 - 07/06/2020 10:23 PM - ShadowZone

| have encountered this as well.

Neither craft from pre-1.10 nor craft directly created in 1.10 were willing to merge.

Seems like it's already being worked on: https://bugs.kerbalspaceprogram.com/issues/25725

#3 - 07/07/2020 11:36 AM - just_jim
- Status changed from New to Confirmed
- Assignee set to just_jim

- % Done changed from 0 to 10

#4 - 07/08/2020 11:16 AM - Anth12
Work around:

1. Go into the SPH/VAB

2. Load a craft

3. Launch Craft

4. Revert to SPH/VAB
5. Merge works

Going into the editor has two states by the looks of it.
https://bugs.kerbalspaceprogram.com/issues/25725

1. It remembers what craft you had in there
2. It reset the editor and is empty when you enter it.

E.G.
1. If the craft you were working is in there still then it will remember to merge
2. If the craft is gone then the editor has reset and the merge wont work unless you do the above.

Hope that helps

#5 - 07/09/2020 12:51 AM - akslfak

The above workaround worked perfectly for me. Thanks! That will help until the issue is patched out.

#6 - 07/09/2020 08:24 PM - dok_377

You can also just open a craft in the editor, then leave and re-enter the editor. This seems to fix the issue as well.

#7 - 08/17/2020 08:56 PM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#8 - 08/17/2020 08:56 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version setto 1.10.1

- % Done changed from 30 to 80

We've made some more changes in this latest 1.10.1 version and would like some feedback on this issue. Thanks.

#9 - 08/18/2020 11:13 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Is working again.
Went in and out the SPH/VABTRACKINGSTATION/KSC as additional testing

Resolved
